function [ch,h,i,d,lambda_h,m,R,pi,ks,ls,qk,w,hs,ys,ps,div_s,kp,lp,hp,yp,pp,div_p,y,Rs,Rp,lambda_c,div_cb,k,utility,totutility,lls,yys,pw,bg,Rg]=solve_total_nosb(tau_p,GAMMA)
parameter=calibration;
BETA=parameter(1); DELTA=parameter(2); THETA_S=parameter(3); THETA_P=parameter(4);
ALPHA=parameter(5); As=parameter(6); Ap=parameter(7); ETA=parameter(8); 
TAU_S=parameter(10);  SIGMA=parameter(12); OMEGAI=parameter(13); MU=parameter(14);
ZETA =parameter(15);EPSILON=parameter(16);PI=parameter(17); RL=parameter(18); 
SIGMA_S=parameter(19); BETA_B=parameter(20); BETA_E=parameter(21);PHI=parameter(22); 
ALPHA_S=parameter(23);OMEGA_P=parameter(25); ZETAL=parameter(31);ALPHA_P =parameter(24);
KAPPA=parameter(26); XI=parameter(27);KAPPA_M=parameter(28);A=1;

TAU_P=tau_p; pi=PI;
[lsr,fval,sflagr]=fsolve(@(x) solve_nosb(x(1),x(2),x(3),x(4),PI,DELTA,THETA_S,THETA_P,BETA_E,ALPHA,As,Ap,ETA,GAMMA,TAU_S,TAU_P,KAPPA,SIGMA,RL,BETA_B,PHI,ALPHA_S,ALPHA_P,KAPPA_M,BETA,EPSILON,ZETAL),[36.38,32.78,0.21,0.39],optimset('TolFun',1e-10));
lp=lsr(1);ls=lsr(2);hp=lsr(3);pp=lsr(4);
R=1/BETA*PI;
pw=(EPSILON-1)/EPSILON;
[y,yp,ys,ch,h,d,ks,w,div_s,hs,kp,div_p,ps,Rs,Rp,div_cb,k,i,totutility,m,bg]=solve_star_nosb(lp,ls,hp,pp,PI,DELTA,THETA_S,THETA_P,ALPHA,Ap,ETA,GAMMA,TAU_S,TAU_P,KAPPA,SIGMA,RL,BETA_B,PHI,ALPHA_S,ALPHA_P,BETA,KAPPA_M,EPSILON,ZETAL);

lambda_h=1/ch;utility=log(ch)-KAPPA*h^(1+ETA)/(1+ETA)+KAPPA_M*log(m);lls=lp/ls;
yys=yp/ys;qk=1;lambda_c=1-BETA_B*R/PI;Rg=R;